[DEFAULT]
#debug = false
#log_config_append = <None>
#log_date_format = %Y-%m-%d %H:%M:%S
#log_file = <None>
#log_dir = <None>
#watch_log_file = false
#use_syslog = false
#use_journal = false
#syslog_log_facility = LOG_USER
#use_json = false
#use_stderr = false
#use_eventlog = false
#log_rotate_interval = 1
#log_rotate_interval_type = days
#max_logfile_count = 30
#max_logfile_size_mb = 200
#log_rotation_type = none
#logging_context_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s
#logging_default_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s
#logging_debug_format_suffix = %(funcName)s %(pathname)s:%(lineno)d
#logging_exception_prefix = %(asctime)s.%(msecs)03d %(process)d ERROR %(name)s %(instance)s
#logging_user_identity_format = %(user)s %(tenant)s %(domain)s %(user_domain)s %(project_domain)s
#default_log_levels = amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=INFO,oslo_messaging=INFO,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,oslo_policy=INFO,dogpile.core.dogpile=INFO
#publish_errors = false
#instance_format = "[instance: %(uuid)s] "
#instance_uuid_format = "[instance: %(uuid)s] "
#rate_limit_interval = 0
#rate_limit_burst = 0
#rate_limit_except_level = CRITICAL
#fatal_deprecations = false

[ml2]
type_drivers = {{ neutron_ml2_type_drivers }}
tenant_network_types = {{ neutron_ml2_tenant_network_types }}
mechanism_drivers = {{ neutron_ml2_mechanism_drivers }}
extension_drivers = port_security
{% if neutron_ml2_path_mtu is defined %}
path_mtu = {{ neutron_ml2_path_mtu }}
{% else %}
#path_mtu =
{% endif %}
{% if neutron_ml2_physical_network_mtus is defined %}
physical_network_mtus = {{ neutron_ml2_physical_network_mtus }}
{% else %}
#physical_network_mtus =
{% endif %}

[ml2_type_flat]
flat_networks = {{ neutron_ml2_flat_networks }}

[ml2_type_gre]
{% if neutron_ml2_gre_tunnel_id_ranges is defined %}
tunnel_id_ranges = {{ neutron_ml2_gre_tunnel_id_ranges }}
{% else %}
#neutron_ml2_gre_tunnel_id_ranges =
{% endif %}

[ml2_type_vlan]
{% if neutron_ml2_network_vlan_ranges is defined %}
network_vlan_ranges = {{ neutron_ml2_network_vlan_ranges }}
{% else %}
#network_vlan_ranges =
{% endif %}
#network_vlan_ranges =

[ml2_type_vxlan]
{% if neutron_ml2_vxlan_vni_ranges is defined %}
vni_ranges = {{ neutron_ml2_vxlan_vni_ranges }}
{% else %}
#vni_ranges =
{% endif %}
#vxlan_group = <None>

[securitygroup]
#firewall_driver = <None>
enable_security_group = true
enable_ipset = true

{% if neutron_ib is defined %}
[sdn]
bind_normal_ports = true
bind_normal_ports_physnets = ibphysnet
{% else %}

{% endif %}
